
TYPO3.Fluid - Bug # 6297

Status: Resolved Priority: Must have
Author: Mathias Gisch Category:
Created: 2010-02-01 Assigned To: Sebastian Kurfuerst
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: Not possible to create link to Typo3-Pages with additional piVars
Description

If I want to create a link to a Typo3-Page and add addtional attributes for old-style pibase-Plugins the Viewhelper throws an
exception:

#1237900520: The argument additionalAttributes was registered with type array, but is of type string in viewhelper
Tx_Fluid_ViewHelpers_Link_PageViewHelper

Try the following:

<f:link.page pageUid="{detailsPage}" additionalAttributes="{tx_ltpdb_test[argument]: 234}">Test</f:link.page>

History
#1 - 2010-02-06 23:04 - Falk Kühnel

i can confirm this behavior.

#2 - 2010-02-09 12:11 - Michael Telgkamp

I can confirm this behaviour, too.
Without squared brackets the link creation works fine. Special characters like squared brackets or their replacements %5B and %5D somehow seem to
break the creation of the array.

#3 - 2010-02-24 14:08 - Falk Kühnel
- File FluidPatch.patch added

I found out, how to solve the Problem.
Actually the UriBuilder accepts the arguments with a prefix in the following syntax:

<f:link.page pageUid="{detailsPage}" additionalAttributes="{tx_ltpdb_test: {argument : 234}}">Test</f:link.page>

This will result in a proper link like this:

<a href=".....&tx_ltpdb_test[argument]=234...">Test</a>
#4 - 2010-03-15 16:56 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst
- Priority changed from Should have to Must have

#5 - 2010-03-16 16:49 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
- Branch set to v4

Files
FluidPatch.patch 804 Bytes 2010-02-24 Falk Kühnel

2015-08-03 2/2


